{
  "module": {
    "name": "app",
    "type": "entry",
    "description": "$string:module_desc",
    "mainElement": "AppAbility",
    "deviceTypes": [
      "phone"
    ],
    "deliveryWithInstall": true,
    "installationFree": false,
    "pages": "$profile:main_pages",
    "abilities": [
      {
        "name": "AppAbility",
        "srcEntry": "./ets/appability/AppAbility.ets",
        "description": "$string:ability_desc",
        "icon": "$media:layered_image",
        "label": "$string:app_name",
        "startWindowIcon": "$media:startIcon",
        "startWindowBackground": "$color:start_window_background",
        "exported": true,
        "skills": [
          {
            "entities": [
              "entity.system.home"
            ],
            "actions": [
              "action.system.home",
              "ohos.want.action.home",
              "wxentity.action.open"
            ]
          },
          {
            "actions": ["ohos.want.action.viewData"],
            "uris": [
              {
                "scheme": "wx7d1a7d1507482cef" // 微信 APPID
              }
            ]
          }
        ]
      }
    ],
    "extensionAbilities": [
      {
        "name": "AppBackupAbility",
        "srcEntry": "./ets/appbackupability/AppBackupAbility.ets",
        "type": "backup",
        "exported": false,
        "metadata": [
          {
            "name": "ohos.extension.backup",
            "resource": "$profile:backup_config"
          }
        ]
      }
    ],
    "requestPermissions": [
      {
        "name": "ohos.permission.INTERNET",
      },
      {
        "name": "ohos.permission.APP_TRACKING_CONSENT",
        "reason": "$string:reason_oaid",
        "usedScene": {
          "abilities": ["AppAbility"],
          "when": "inuse"
        }
      }
    ],
    "querySchemes": [
      "weixin",                               //用于判断微信是否安装，开发者可通过 WXApi.isWXAppInstalled() 判断微信是否已安装;
      "wxopensdk",                            //用于跳转微信.
      "apmqpdispatch"                         //用于支付宝登录（极简SDK）
    ]
  }
}